import { AfterViewInit, ChangeDetectorRef, ElementRef, OnDestroy } from "@angular/core";
import { TabComponent } from "../tab/tab.component";
import * as i0 from "@angular/core";
/** @ignore */
export declare class TabGroupComponent implements OnDestroy, AfterViewInit {
    private el;
    private changeDetectorRef;
    /** If true tabs will be placed vertically */
    get vertical(): boolean;
    set vertical(value: boolean);
    tabs: TabComponent[];
    leftTraverseEnabled: boolean;
    rightTraverseEnabled: boolean;
    hasTraverse: boolean;
    private traverseButtonsWidth;
    private traverseStepSize;
    protected isDestroyed: boolean;
    protected _vertical: boolean;
    constructor(el: ElementRef, changeDetectorRef: ChangeDetectorRef);
    ngAfterViewInit(): void;
    checkTraverse(): void;
    addTab(tab: TabComponent): void;
    selectTab(selectedTab: TabComponent): void;
    allowTraverse(): boolean;
    traverseRight(): void;
    traverseLeft(): void;
    private isTraverseLeftAllowed;
    private isTraverseRightAllowed;
    private getElementSize;
    private getNumberFromPixels;
    private getCurrentShift;
    private setNewShift;
    private addPixels;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabGroupComponent, "nui-tab-group", never, { "vertical": { "alias": "vertical"; "required": false; }; }, {}, never, ["*"], false, never>;
}
